Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000208KdenliveUser Interfacepublic2008-10-14 16:552008-11-12 22:22
Reporterrepli2dev 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000208: Serializing creating thumbs
DescriptionWhen I add a lot of clips to project Kdenlive starts creating thumbs for all files and computer is unusable. I think it should be serialized (do one by one).
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000436)
administrator (administrator)
2008-10-18 18:40

Recent changes in svn revision 2474 should make things slightly better. Could you please test & tell me if it is better now ?

Clip thumbs should now be fetched one after another, and the Project Tree is disabled while fetching these thumbs.
(0000451)
repli2dev (reporter)
2008-10-19 10:22

Thanks, I tested it and it has some bugs:
1. After adding a clip Project list have gone disabled but after a while it turn to be enabled again. Then it start to show Creating thumbnail... in status bar.
2. If I add more clips they all starts at one time and progress bar in status bar is blinking (showing progress of each clip).
(0000452)
administrator (administrator)
2008-10-19 10:36

Oh, I just realized that you were talking about audio thumbnails! The status bar message with clip names indicates progress of audio thumbnails, but I have worked on the video thumbnails... Will see what I can do.
(0000454)
repli2dev (reporter)
2008-10-19 10:54

Ok, thanks
(0000472)
madsdyd (administrator)
2008-10-19 20:06

rev 2499 contains code that serializes the audio thumbnail code. Could you please test that this resolves this issue?

Thanks.
(0000478)
repli2dev (reporter)
2008-10-20 14:12

Thanks a lot, it works fine ;)
(0000492)
madsdyd (administrator)
2008-10-20 21:53

Fixed in 2499.

- Issue History
Date Modified Username Field Change
2008-10-14 16:55 repli2dev New Issue
2008-10-18 18:40 administrator Note Added: 0000436
2008-10-19 10:22 repli2dev Note Added: 0000451
2008-10-19 10:36 administrator Note Added: 0000452
2008-10-19 10:54 repli2dev Note Added: 0000454
2008-10-19 20:06 madsdyd Note Added: 0000472
2008-10-19 20:06 madsdyd Status new => feedback
2008-10-20 14:12 repli2dev Note Added: 0000478
2008-10-20 21:53 madsdyd Note Added: 0000492
2008-10-20 21:53 madsdyd Status feedback => closed
2008-10-20 21:53 madsdyd Resolution open => fixed
2008-10-20 21:53 madsdyd Fixed in Version => Recent git
2008-10-23 00:20 madsdyd Target Version => 0.7.0
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker